### Method

# Gdk.Clipboard.read_finish

#### Declaration [src]

    GInputStream*
    gdk_clipboard_read_finish (
      GdkClipboard* clipboard,
      GAsyncResult* result,
      const char** out_mime_type,
      GError** error
    )

#### Description [src]

Finishes an asynchronous clipboard read.

See `gdk_clipboard_read_async()`.

#### Parameters

`result` | `GAsyncResult*`
| a `GAsyncResult`
| Ownership is not transferred to the callee
`out_mime_type` | `const char**`
| pointer to store the chosen mime type in or `NULL`
| Direction: out
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GInputStream*`
a `GInputStream` or `NULL` on error.
Ownership of the data is transferred to the caller
Can be `NULL`